/*
 *   Opcodes.h
 *
 *   Copyright 2004 Olivier De Smet
 */

extern VOID __fastcall oarp(WORD pc); // ARP
extern VOID __fastcall odrp(WORD pc); // DRP

extern VOID __fastcall o80(WORD pc); // ELB D
extern VOID __fastcall o81(WORD pc); // ELM D
extern VOID __fastcall o82(WORD pc); // ERB D
extern VOID __fastcall o83(WORD pc); // ERM D
extern VOID __fastcall o84(WORD pc); // LLB D
extern VOID __fastcall o85(WORD pc); // LLM D
extern VOID __fastcall o86(WORD pc); // LRB D
extern VOID __fastcall o87(WORD pc); // LRM D
extern VOID __fastcall o88(WORD pc); // ICB D
extern VOID __fastcall o89(WORD pc); // ICM D
extern VOID __fastcall o8A(WORD pc); // DCB D
extern VOID __fastcall o8B(WORD pc); // DCM D
extern VOID __fastcall o8C(WORD pc); // TCB D
extern VOID __fastcall o8D(WORD pc); // TCM D
extern VOID __fastcall o8E(WORD pc); // NCB D
extern VOID __fastcall o8F(WORD pc); // NCM D
extern VOID __fastcall o90(WORD pc); // TSB D
extern VOID __fastcall o91(WORD pc); // TSM D
extern VOID __fastcall o92(WORD pc); // CLB D
extern VOID __fastcall o93(WORD pc); // CLM D
extern VOID __fastcall o94(WORD pc); // ORB D,A
extern VOID __fastcall o95(WORD pc); // ORM D,A
extern VOID __fastcall o96(WORD pc); // XRB D,A
extern VOID __fastcall o97(WORD pc); // XRM D,A
extern VOID __fastcall o98(WORD pc); // BIN
extern VOID __fastcall o99(WORD pc); // BCD
extern VOID __fastcall o9A(WORD pc); // SAD
extern VOID __fastcall o9B(WORD pc); // DCE
extern VOID __fastcall o9C(WORD pc); // ICE
extern VOID __fastcall o9D(WORD pc); // CLE
extern VOID __fastcall o9E(WORD pc); // RTN
extern VOID __fastcall o9F(WORD pc); // PAD
extern VOID __fastcall oA0(WORD pc); // LDB D,A
extern VOID __fastcall oA1(WORD pc); // LDM D,A
extern VOID __fastcall oA2(WORD pc); // STB D,A
extern VOID __fastcall oA3(WORD pc); // STM D,A
extern VOID __fastcall oA4(WORD pc); // LDBD D,A
extern VOID __fastcall oA5(WORD pc); // LDMD D,A
extern VOID __fastcall oA6(WORD pc); // STBD D,A
extern VOID __fastcall oA7(WORD pc); // STMD D,A
extern VOID __fastcall oA8(WORD pc); // LDB D,=o
extern VOID __fastcall oA9(WORD pc); // LDM D,=a
extern VOID __fastcall oAA(WORD pc); // STB D,=o
extern VOID __fastcall oAB(WORD pc); // STM D,=a
extern VOID __fastcall oAC(WORD pc); // LDBI D,A
extern VOID __fastcall oAD(WORD pc); // LDMI D,A
extern VOID __fastcall oAE(WORD pc); // STBI D,A
extern VOID __fastcall oAF(WORD pc); // STMI D,A
extern VOID __fastcall oB0(WORD pc); // LDBD D,=a
extern VOID __fastcall oB1(WORD pc); // LDMD D,=a
extern VOID __fastcall oB2(WORD pc); // STBD D,=a
extern VOID __fastcall oB3(WORD pc); // STMD D,=a
extern VOID __fastcall oB4(WORD pc); // LDBD D,X,a
extern VOID __fastcall oB5(WORD pc); // LDMD D,X,a
extern VOID __fastcall oB6(WORD pc); // STBD D,X,a
extern VOID __fastcall oB7(WORD pc); // STMD D,X,a
extern VOID __fastcall oB8(WORD pc); // LDBI D,=a
extern VOID __fastcall oB9(WORD pc); // LDMI D,=a
extern VOID __fastcall oBA(WORD pc); // STBI D,=a
extern VOID __fastcall oBB(WORD pc); // STMI D,=a
extern VOID __fastcall oBC(WORD pc); // LDBI D,X,a
extern VOID __fastcall oBD(WORD pc); // LDMI D,X,a
extern VOID __fastcall oBE(WORD pc); // STBI D,X,a
extern VOID __fastcall oBF(WORD pc); // STMI D,X,a
extern VOID __fastcall oC0(WORD pc); // CMB D,A
extern VOID __fastcall oC1(WORD pc); // CMM D,A
extern VOID __fastcall oC2(WORD pc); // ADB D,A
extern VOID __fastcall oC3(WORD pc); // ADM D,A
extern VOID __fastcall oC4(WORD pc); // SBB D,A
extern VOID __fastcall oC5(WORD pc); // SBM D,A
extern VOID __fastcall oC6(WORD pc); // JSB X,a
extern VOID __fastcall oC7(WORD pc); // ANM D,A
extern VOID __fastcall oC8(WORD pc); // CMB D,=o
extern VOID __fastcall oC9(WORD pc); // CMM D,=a
extern VOID __fastcall oCA(WORD pc); // ADB D,=o
extern VOID __fastcall oCB(WORD pc); // ADM D,=a
extern VOID __fastcall oCC(WORD pc); // SBB D,=o
extern VOID __fastcall oCD(WORD pc); // SBM D,=a
extern VOID __fastcall oCE(WORD pc); // JSB =a
extern VOID __fastcall oCF(WORD pc); // ANM D,=a
extern VOID __fastcall oD0(WORD pc); // CMBD D,=a
extern VOID __fastcall oD1(WORD pc); // CMMD D,=a
extern VOID __fastcall oD2(WORD pc); // ADBD D,=a
extern VOID __fastcall oD3(WORD pc); // ADMD D,=a
extern VOID __fastcall oD4(WORD pc); // SBBD D,=a
extern VOID __fastcall oD5(WORD pc); // SBMD D,=a
extern VOID __fastcall oD6(WORD pc); // ???
extern VOID __fastcall oD7(WORD pc); // ANMD D,=a
extern VOID __fastcall oD8(WORD pc); // CMBD D,A
extern VOID __fastcall oD9(WORD pc); // CMMD D,A
extern VOID __fastcall oDA(WORD pc); // ADBD D,A
extern VOID __fastcall oDB(WORD pc); // ADMD D,A
extern VOID __fastcall oDC(WORD pc); // SBBD D,A
extern VOID __fastcall oDD(WORD pc); // SBMD D,A
extern VOID __fastcall oDE(WORD pc); // ???
extern VOID __fastcall oDF(WORD pc); // ANMD D,A
extern VOID __fastcall oE0(WORD pc); // POBD D,+A
extern VOID __fastcall oE1(WORD pc); // POMD D,+A
extern VOID __fastcall oE2(WORD pc); // POBD D,-A
extern VOID __fastcall oE3(WORD pc); // POMD D,-A
extern VOID __fastcall oE4(WORD pc); // PUBD D,+A
extern VOID __fastcall oE5(WORD pc); // PUMD D,+A
extern VOID __fastcall oE6(WORD pc); // PUBD D,-A
extern VOID __fastcall oE7(WORD pc); // PUMD D,-A
extern VOID __fastcall oE8(WORD pc); // POBI D,+A
extern VOID __fastcall oE9(WORD pc); // POMI D,+A
extern VOID __fastcall oEA(WORD pc); // POBI D,-A
extern VOID __fastcall oEB(WORD pc); // POMI D,-A
extern VOID __fastcall oEC(WORD pc); // PUBI D,+A
extern VOID __fastcall oED(WORD pc); // PUMI D,+A
extern VOID __fastcall oEE(WORD pc); // PUBI D,-A
extern VOID __fastcall oEF(WORD pc); // PUMI D,-A
extern VOID __fastcall oF0(WORD pc); // JMP I
extern VOID __fastcall oF1(WORD pc); // JNO I
extern VOID __fastcall oF2(WORD pc); // JOD I
extern VOID __fastcall oF3(WORD pc); // JEV I
extern VOID __fastcall oF4(WORD pc); // JNG I
extern VOID __fastcall oF5(WORD pc); // JPS I
extern VOID __fastcall oF6(WORD pc); // JNZ I
extern VOID __fastcall oF7(WORD pc); // JZR I
extern VOID __fastcall oF8(WORD pc); // JEN I
extern VOID __fastcall oF9(WORD pc); // JEZ I
extern VOID __fastcall oFA(WORD pc); // JNC I
extern VOID __fastcall oFB(WORD pc); // JCY I
extern VOID __fastcall oFC(WORD pc); // JLZ I
extern VOID __fastcall oFD(WORD pc); // JLN I
extern VOID __fastcall oFE(WORD pc); // JRZ I
extern VOID __fastcall oFF(WORD pc); // JRN I

